MeasurementSummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.MeasurementSummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class MeasurementSummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary
          org.hyperic.hq.bizapp.shared.uibeans.MeasurementSummary

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BaseMetricDisplay

    public class MeasurementSummary

extends MetricConfigSummary
implements java.io.Serializable

This holds the number of metrics of this type configured (the template type) for the resource under discussion; the count of those currently collecting data, the ones that aren't and the total. When displaying availability status on an aggregate of resources, each resource will counted in one of these buckets

1. availUp
   Resources that are configured for metric collection and for which we are currently collecting data
2. availDown
   Resources that are configured for metric collection and for which we are not currently collecting data i.e. the resource is down, as far as we can tell
3. availUnknown
   This is the number of resources for which metric collection is configured but whose availability status is unknown

See Also:
  Serialized Form

Constructor Summary
`MeasurementSummary()` Default Constructor
`MeasurementSummary(java.lang.Integer up, java.lang.Integer down, java.lang.Integer unknown)` Constructor with init values

Method Summary
`java.util.List` | `asList()` Returns a three element list with up, down and unknown
`java.lang.Integer` | `getAvailDown()`
`java.lang.Integer` | `getAvailUnknown()`
`java.lang.Integer` | `getAvailUp()`
`void` | `setAvailDown(java.lang.Integer unavailConfigured)`
`void` | `setAvailUnknown(java.lang.Integer totalConfigured)` Sets the availUnknown.
`void` | `setAvailUp(java.lang.Integer currentConfigured)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.MetricConfigSummary
`getCategory, getDescription, getId, getInterval, getLabel, getName, getTemplateId, setCategory, setDescription, setInterval, setLabel, setTemplateId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MeasurementSummary

    public MeasurementSummary()

  Default Constructor

### MeasurementSummary

    public MeasurementSummary(java.lang.Integer up,
                              java.lang.Integer down,
                              java.lang.Integer unknown)

  Constructor with init values

Method Detail

### getAvailUp

    public java.lang.Integer getAvailUp()

  Returns:
    Integer

### setAvailUp

    public void setAvailUp(java.lang.Integer currentConfigured)

  Parameters:
    `availUp` - The availUp to set

### getAvailDown

    public java.lang.Integer getAvailDown()

  Returns:
    Integer

### setAvailDown

    public void setAvailDown(java.lang.Integer unavailConfigured)

  Parameters:
    `availDown` - The availDown to set

### getAvailUnknown

    public java.lang.Integer getAvailUnknown()

  Returns:
    Integer

### setAvailUnknown

    public void setAvailUnknown(java.lang.Integer totalConfigured)

  Sets the availUnknown.

  Parameters:
    `availUnknown` - The availUnknown to set

### asList

    public java.util.List asList()

  Returns a three element list with up, down and unknown

  Returns:
    List

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.